Das KMidi-Handbuch
Zurück | Kapitel 2. Benutzung | Vor

# 2.8. Befehlszeilen-Parameter

Bis auf die Angabe von einem oder mehreren Midi-Dateinamen auf der Befehlszeile ist das Wissen um die weiteren Parameter in diesem Abschnitt wahrscheinlich nicht besonders nützlich für Sie. Falls Sie diese Optionen dennoch benötigen, bevorzugen Sie vermutlich die Verwendung der Befehlszeilenversion dieses Programmes: timidity.

kmidi

  [Optionen] Dateiname [...]

Verwenden Sie "-" als Dateiname, um eine MIDI-Datei von `stdin` zu lesen.

Optionen:

-o Dateiname

  Leitet die Ausgabe um in die Datei "Dateiname". Dabei kann Dateiname eine Datei, ein Gerät oder ein HP-UX-Audioserver sein, abhängig vom Ausgabemodus, der mit der Option -O eingestellt wird. Die Spezialdatei "-" leitet die Ausgabe nach `stdout` um.

-O Modus

  Wählt den Ausgabemodus aus den vorhanden Möglichkeiten aus. Modus muss mit einem der von TiMidity unterstützten Ausgabemodusnamen beginnen. Führen Sie TiMidity mit der Option -h aus, um eine Liste anzeigen zu lassen.

-sf

  Sampling-Frequenz f (Hz oder kHz) einstellen. Nicht alle Soundgeräte unterstützen alle Frequenzen -- implementationsabhängig kann eine angenäherte Frequenz verwendet werden.

-a

  Antialiasing-Filter aktivieren. Samples werden vor der Wiedergabe durch einen Tiefpassfilter geleitet. Dadurch wird das bei niedrigen Resampling-Frequenzen produzierte Aliasing-Geräusch verringert.

-f

  Schnelles Ausklingen aktivieren. Schaltet schnelle Hüllkurven ein. Einige Midi-Dateien klingen besser, wenn die Noten langsamer ausklingen -- das erzeugt einen Eindruck von Nachhall (Reverb).

-pn

  Stellt die Mehrstimmigkeit ein (Anzahl gleichzeitig wiedergegebener Stimmen).

-An

  Lautstärke um n Prozent erhöhen (kann zu Clipping führen).

-Cn

  Setzt das Verhältnis von Sampling- und Kontrollfrequenz fest. Hier wird eingestellt, wie oft die Hüllkurve neu berechnet wird -- ein kleines Verhältnis führt zu besserer Wiedergabequalität, benötigt aber mehr CPU-Zeit.

-E

  Schaltet Witczak's Effektfilter für Chor, Hall (Reverb), Phaser und Celeste ein.

-#n

  Patch-Satz wählen.

-L Verzeichnis

  Füge Verzeichnis zum Suchpfad hinzu.

-c Datei

  Zusätzliche Konfigurationsdatei einlesen.

-In

  Standardmäßig Programmnummer n verwenden.

-P Datei

  Benutze Datei als Patch-Datei für alle Programme

-Dn

  Spiele Schlagzeug auf Kanal n

-Qn

  Ignoriere Kanal n

-F

  Schnelles "Panning" aktivieren

-U

  Instrumenten-Patches zwischen der Wiedergabe von Midi-Dateien aus dem Speicher entfernen

-i Modus

  Benutzeroberfläche auswählen (siehe Liste weiter unten)

-Bn

  Anzahl Puffer-Fragmente festlegen

-h

  Hilfeinformationen anzeigen

Verfügbare Ausgabemodi (-O Option):

-Od

  Linux dsp Gerät

-Ow

  RIFF-WAVE-Datei

-Or

  Rohe Wellenformdaten

Ausgabeformatoptionen (anhängen an -O? Option):

`8'

  8-bit Samplebreite

`1'

  16-bit Samplebreite

`U'

  uLaw Kodierung

`l'

  lineare Kodierung

`M'

  Mono

`S'

  Stereo

`s'

  Vorzeichenbehaftete Ausgabe

`u'

  Vorzeichenlose Ausgabe

`x'

  Ausgabe Byte-vertauscht

Verfügbare Benutzeroberflächen (-i Option):

-iq

  KMidi Qt-Oberfläche

-id

  einfache (dumb) Oberfläche

Oberflächen-Einstellungen (anhängen an -i? Option):

`v'

  Mehr Informationen anzeigen (kumulativ)

`q'

  Weniger Informationen anzeigen (kumulativ)

`t'

  Wiedergabe verfolgen (Trace)

-i Modus

  Benutzeroberfläche auswählen (siehe weiter unten)

-Bn

  Anzahl Puffer-Fragmente festlegen

-h

  Diese Hilfe anzeigen

Zurück | Anfang | Vor
Effekte | Hoch | Fragen und Antworten